#ifndef _CGSTATUS_H_
#define _CGSTATUS_H_

// Return values
#define CG_STATUS_OK                  0
#define CG_STATUS_BUSY                1
#define CG_STATUS_ERROR               2
#define CG_STATUS_WARNING             3
#define CG_STATUS_INPUT_PARAM_ERROR   4
#define CG_STATUS_CLOSED              5
#define CG_STATUS_TIMEOUT             6
#define CG_STATUS_SENDFAILED          7
#define CG_STATUS_PAYOUT_REST         8
#define CG_STATUS_PORT_ERROR          9
#define CG_STATUS_PAYCLEAR_ERROR     10
#define CG_STATUS_PAYOUT_LIMIT       11 // Used in the C API layer CGLogics, but not in the communication layer CashBiPRO
#define CG_STATUS_NOT_SUPPORTED      12 // Used in the C API layer CGLogics, but not in the communication layer CashBiPRO
#define CG_STATUS_FAILED_TO_COMPLY	 13

// Regret types
#define CG_REGRETTYPE_ONE             0
#define CG_REGRETTYPE_ALL             1

// Admin Modes
#define CG_ADMIN_ENABLE             1
#define CG_ADMIN_DISABLE            2

// Duration types
#define CG_DURATIONTYPE_PERMANENT	  0 // Used in the C API layer CGLogics, but not in the communication layer CashBiPRO
#define CG_DURATIONTYPE_PAYOUT		  1 // Used in the C API layer CGLogics, but not in the communication layer CashBiPRO

#endif
